This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 492031 - MySQL UTF8
MySQL UTF8
Status: NEW
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jim Whitehurst
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2009-03-24 21:17 EDT by Noam
Modified: 2017-05-15 17:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noam 2009-03-24 21:17:57 EDT
Cannot update an attribute at penrose using non-English(like hebrew) characters when the source is MySQL and the table field encoding is UTF8.
After doing that a "?????"-like string is updated at the mysql server.

by using other databases like postgresql and oracle it works properly.
Comment 1 Endi Sukma Dewata 2009-03-27 13:41:01 EDT
Was the MySQL database created to support UTF-8 data (not just the table field)? If I remember correctly there's an option for this during Windows installation, not sure how it's done on Linux.

The fact that it works on Postgres and Oracle seems to indicate that this is probably not Penrose issue. But I could be wrong though.

Note You need to log in before you can comment on or make changes to this bug.